import _Vue from 'vue'
// import all from './global'
import useEchart, {component as echartsComponent } from './packages/ts-vue-echarts/src/index'
import useEchartView from './packages/ts-vue-data-view/src/index'
// 这里把全部要注册的组件全放在这里
export const components = {
  ...echartsComponent
  // ...如果还有的话继续添加
}
//
export {
  useEchart,
  useEchartView
}
const install = function (Vue, opts = {}) {
  if (!Vue) {
    window.Vue = Vue = _Vue
  }
  for (let key in components) {
    if (!key && !components[key]) {
      return
    }
    Vue.component(components[key].name, components[key])
  }
  // components.forEach((item) => {
  //   if (!item.name) {
  //     return
  //   }
  //   Vue.component(item.reqCom.name, item.reqCom)
  // })
}

/* 支持使用标签的方式引入 */
if (typeof window !== 'undefined' && window.Vue) {
  install.use(window.Vue)
}
export default {
  install,
  ...components,
  useEchart,
  useEchartView
}
